/*******************************************************************************
 * FoxAIAction_ChangeWeapon generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxAIAction_ChangeWeapon extends FoxAIHierarchicalAbility
    native(AI)
    editinlinenew
    hidecategories(Object);

var() FoxPawn.EWeaponType DesiredWeaponType;

// Export UFoxAIAction_ChangeWeapon::execInitialize(FFrame&, void* const)
native function bool Initialize();

defaultproperties
{
    SubActions(0)=FoxAIAction_Sleep'Default__FoxAIAction_ChangeWeapon.Sleep'
}